View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001156aMuleMiscpublic2007-08-18 21:272007-11-18 05:46
Reportermikkevin 
Assigned To 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSLinuxOS Version2.6.21
Product Version2.1.3 
Target VersionFixed in VersionSVN 
Summary0001156: Compile error with wxGTK-2.8
DescriptionI'm trying to compile amule-2.1.3 with wxGTK-2.8.4 on BLFS system with gcc-4.1.1. The compilation stops with the following error:
-----------------------------------------------------------
make[5]: Entering directory `/home-dir/BLFS/wd/aMule-2.1.3/src/utils/wxCas/src'
if g++ -DHAVE_CONFIG_H -I. -I. -I../../../.. -I/usr/lib/wx/include/gtk2-unicode-debug-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXDEBUG__ -D__WXGTK__ -pthread -mtune=pentium4m -march=pentium4m -msse2 -pipe -mfpmath=sse -mmmx -falign-functions=4 -O2 -mtune=pentium4m -march=pentium4m -msse2 -pipe -mfpmath=sse -mmmx -falign-functions=4 -DUSE_EMBEDDED_CRYPTO -W -Wall -Wshadow -Wundef -g -ggdb -fno-inline -D__DEBUG__ -fmessage-length=0 -D_GLIBCXX_DEBUG -D_GLIBCXX_DEBUG_PEDANTIC -MT wxcas-wxcasprefs.o -MD -MP -MF ".deps/wxcas-wxcasprefs.Tpo" -c -o wxcas-wxcasprefs.o `test -f 'wxcasprefs.cpp' || echo './'`wxcasprefs.cpp; \
        then mv -f ".deps/wxcas-wxcasprefs.Tpo" ".deps/wxcas-wxcasprefs.Po"; else rm -f ".deps/wxcas-wxcasprefs.Tpo"; exit 1; fi
/usr/include/wx-2.8/wx/hashmap.h: In member function 'wxLongToLongHashMap_wxImplementation_HashTable::Node** wxLongToLongHashMap_wxImplementation_HashTable::GetNodePtr(const long int&) const':
/usr/include/wx-2.8/wx/hashmap.h:714: warning: dereferencing type-punned pointer will break strict-aliasing rules
/usr/include/wx-2.8/wx/clntdata.h: In member function 'wxShadowObjectMethods_wxImplementation_HashTable::Node** wxShadowObjectMethods_wxImplementation_HashTable::GetNodePtr(const wxString&) const':
/usr/include/wx-2.8/wx/clntdata.h:20: warning: dereferencing type-punned pointer will break strict-aliasing rules
/usr/include/wx-2.8/wx/clntdata.h: In member function 'wxShadowObjectFields_wxImplementation_HashTable::Node** wxShadowObjectFields_wxImplementation_HashTable::GetNodePtr(const wxString&) const':
/usr/include/wx-2.8/wx/clntdata.h:25: warning: dereferencing type-punned pointer will break strict-aliasing rules
/usr/include/wx-2.8/wx/gdicmn.h: In member function 'wxStringToColourHashMap_wxImplementation_HashTable::Node** wxStringToColourHashMap_wxImplementation_HashTable::GetNodePtr(const wxString&) const':
/usr/include/wx-2.8/wx/gdicmn.h:544: warning: dereferencing type-punned pointer will break strict-aliasing rules
/usr/include/wx-2.8/wx/image.h: In member function 'wxImageHistogramBase_wxImplementation_HashTable::Node** wxImageHistogramBase_wxImplementation_HashTable::GetNodePtr(const long unsigned int&) const':
/usr/include/wx-2.8/wx/image.h:136: warning: dereferencing type-punned pointer will break strict-aliasing rules
wxcasprefs.cpp: At global scope:
wxcasprefs.cpp:324: error: 'OnCancel' is not a member of 'WxCasPrefs'
make[5]: *** [wxcas-wxcasprefs.o] Error 1
make[5]: Leaving directory `/home-dir/BLFS/wd/aMule-2.1.3/src/utils/wxCas/src'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/home-dir/BLFS/wd/aMule-2.1.3/src/utils/wxCas'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home-dir/BLFS/wd/aMule-2.1.3/src/utils'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home-dir/BLFS/wd/aMule-2.1.3/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home-dir/BLFS/wd/aMule-2.1.3'
make: *** [all] Error 2
-----------------------------------------------------------


When I tried to compile CVS version aMule-CVS-20070817 I get the following errors:
-----------------------------------------------------------
make[4]: Entering directory `/home-dir/BLFS/wd/amule-cvs/src/webserver/src'
if /usr/bin/ccache g++ -DHAVE_CONFIG_H -I. -I. -I../../.. -mtune=pentium4m -march=pentium4m -msse2 -pipe -mfpmath=sse -mmmx -falign-functions=4 -O2 -mtune=pentium4m -march=pentium4m -msse2 -pipe -mfpmath=sse -mmmx -falign-functions=4 -I../.. -I../../../src -I../../../src/libs -I/usr/lib/wx/include/gtk2-unicode-debug-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXDEBUG__ -D__WXGTK__ -pthread -DwxUSE_GUI=0 -I/usr/include/libpng12 -DWITH_LIBPNG -DEC_REMOTE -DWEBSERVERDIR="\"/usr/share/amule/webserver\"" -DECSOCKET_USE_EVENTS=0 -DENABLE_UPNP -mtune=pentium4m -march=pentium4m -msse2 -pipe -mfpmath=sse -mmmx -falign-functions=4 -O2 -mtune=pentium4m -march=pentium4m -msse2 -pipe -mfpmath=sse -mmmx -falign-functions=4 -DUSE_EMBEDDED_CRYPTO -W -Wall -Wshadow -Wundef -g -ggdb -fno-inline -D__DEBUG__ -fmessage-length=0 -D_GLIBCXX_DEBUG -D_GLIBCXX_DEBUG_PEDANTIC -DUSE_WX_EXTENSIONS -MT amuleweb-WebInterface.o -MD -MP -MF ".deps/amuleweb-WebInterface.Tpo" -c -o amuleweb-WebInterface.o `test -f 'WebInterface.cpp' || echo './'`WebInterface.cpp; \
        then mv -f ".deps/amuleweb-WebInterface.Tpo" ".deps/amuleweb-WebInterface.Po"; else rm -f ".deps/amuleweb-WebInterface.Tpo"; exit 1; fi
In file included from ../../ExternalConnector.h:38,
                 from WebInterface.h:30,
                 from WebServer.h:34,
                 from WebInterface.cpp:44:
../../../src/libs/ec/cpp/RemoteConnect.h:45:2: warning: #warning Kry TODO - move to abstract layer.
/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../../../include/c++/4.1.1/cstdlib:122: error: '::malloc' has not been declared
/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../../../include/c++/4.1.1/cstdlib:130: error: '::realloc' has not been declared
/usr/include/wx-2.8/wx/hashmap.h: In member function 'wxLongToLongHashMap_wxImplementation_HashTable::Node** wxLongToLongHashMap_wxImplementation_HashTable::GetNodePtr(const long int&) const':
/usr/include/wx-2.8/wx/hashmap.h:714: warning: dereferencing type-punned pointer will break strict-aliasing rules
/usr/include/wx-2.8/wx/clntdata.h: In member function 'wxShadowObjectMethods_wxImplementation_HashTable::Node** wxShadowObjectMethods_wxImplementation_HashTable::GetNodePtr(const wxString&) const':
/usr/include/wx-2.8/wx/clntdata.h:20: warning: dereferencing type-punned pointer will break strict-aliasing rules
/usr/include/wx-2.8/wx/clntdata.h: In member function 'wxShadowObjectFields_wxImplementation_HashTable::Node** wxShadowObjectFields_wxImplementation_HashTable::GetNodePtr(const wxString&) const':
/usr/include/wx-2.8/wx/clntdata.h:25: warning: dereferencing type-punned pointer will break strict-aliasing rules
/usr/include/wx-2.8/wx/vector.h: In member function 'bool wxVectorBase::Alloc(size_t)':
/usr/include/wx-2.8/wx/vector.h:35: error: 'realloc' was not declared in this scope
/usr/include/wx-2.8/wx/protocol/http.h: In member function 'wxStringToStringHashMap_wxImplementation_HashTable::Node** wxStringToStringHashMap_wxImplementation_HashTable::GetNodePtr(const wxString&) const':
/usr/include/wx-2.8/wx/protocol/http.h:21: warning: dereferencing type-punned pointer will break strict-aliasing rules
make[4]: *** [amuleweb-WebInterface.o] Error 1
make[4]: Leaving directory `/home-dir/BLFS/wd/amule-cvs/src/webserver/src'
make[3]: *** [all-recursive] Error 1
----------------------------------------------------------
These are my configure switches:
-----------------------------------------------------------
--enable-ccache --enable-amule-daemon --enable-amulecmd --enable-webserver --enable-amule-gui --enable-cas --enable-wxcas --enable-alc --enable-alcc --enable-geoip --sysconfdir=/etc --prefix=/usr
-----------------------------------------------------------

Any help in this regard will be highly appreciated.

Thanks in advance.

Kevin
TagsNo tags attached.
Fixed in Revision
Operating SystemLinux-2.6.21
Attached Files

- Relationships

-  Notes
(0002379)
Kry (manager)
2007-08-19 13:32

2.1.3 won't compile without a patch, as said countless times on the forum. Use the current CVS or wait for 2.2.0 in some days.
(0002382)
mikkevin (reporter)
2007-08-20 18:49

Thanks for the reply.

As I've already pointed out, CVS version won't compile either. I've already included the error messages from the compiler. Any help in that regard, please ?

Said that, I've never been able to compile aMule successfully. I've been trying to get aMule compiled, been unsuccessfull, 5 times since the last 8 months now !!

Thanks again for any help in this regard.

Kevin
(0002383)
mikkevin (reporter)
2007-08-22 01:28
edited on: 2007-08-22 01:29

Never mind ! I downloaded the latest version of amule-cvs and applied the hack mentioned on the forum thread http://forum.amule.org/index.php?topic=12957.0 [^]

Mind you, the above mentioned hack didn't work on the previous cvs versions of the amule. So, I presume, the problem was fixed in the latest version of amule.

Thanks for your great help.

edited on: 08-22-07 01:29

edited on: 08-22-07 01:29

- Issue History
Date Modified Username Field Change
2007-08-18 21:27 mikkevin New Issue
2007-08-18 21:27 mikkevin Operating System => Linux-2.6.21
2007-08-19 13:32 Kry Note Added: 0002379
2007-08-20 18:49 mikkevin Note Added: 0002382
2007-08-22 01:28 mikkevin Note Added: 0002383
2007-08-22 01:29 mikkevin Note Edited: 0002383
2007-08-22 01:29 mikkevin Note Edited: 0002383
2007-11-18 05:46 phoenix Status new => closed
2007-11-18 05:46 phoenix Resolution open => fixed
2007-11-18 05:46 phoenix Fixed in Version => SVN


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker